
import java.sql.*;

public class JdbcPreparedstatementInsert {

    static private final String driver = "sun.jdbc.odbc.JdbcOdbcDriver";
    static private final String connection = "jdbc:odbc:emp";

    public static void main(String args[]) {

        Connection con = null;
        PreparedStatement pst = null;
        ResultSet rs = null;

        try {

            Class.forName(driver);
            con = DriverManager.getConnection(connection);
            con.setAutoCommit(false);

            String sql =
                    "insert into Employees (FirstName,LastName) values(?,?)";
            pst = con.prepareStatement(sql);

            pst.setString(1, "Girish");
            pst.setString(2, "tewari");

            pst.executeUpdate();
            pst.close();

            sql = "select * from Employees";
            pst = con.prepareStatement(sql);

            rs = pst.executeQuery();

            while (rs.next()) {
                System.out.print(rs.getString(1) + "\t");
                System.out.print(rs.getString(2) + "\t");
                System.out.println(rs.getString(3));
            }
            rs.close();
            pst.close();
            con.close();

        } catch (Exception e) {
        }
    }
}
